al_create_display(3)

NAME

al_create_display - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_DISPLAY *al_create_display(int w, int h)

DESCRIPTION

Create a display, or window, with the specified dimensions. The parameters of the display are determined by the last calls to al_set_new_display_*. Default parameters are used if none are set explicitly. Creating a new display will automatically make it the active one, with the backbuffer selected for drawing.

Returns NULL on error.

Each display that uses OpenGL as a backend has a distinct OpenGL rendering context associated with it. See al_set_target_bitmap(3) for the discussion about rendering contexts.

SEE ALSO

al_set_new_display_flags(3), al_set_new_display_option(3), al_set_new_display_refresh_rate(3), al_set_new_display_adapter(3), al_set_new_window_title(3) al_set_window_position(3)